<mat-stepper labelPosition="bottom" #stepper>
  <form [formGroup]="orderForm" (ngSubmit)="onSubmit()">
  <mat-step>
    <ng-template matStepLabel>Detalles de orden</ng-template>
      <div *ngIf="transportCost">
        <b>Costo de transporte: </b> {{transportCost}}
      </div>
      <mat-form-field appearance="fill">
        <mat-label>Fecha de recepcion</mat-label>
        <input matInput [matDatepicker]="picker" formControlName="receptionDate" required>
        <mat-hint>MM/DD/YYYY</mat-hint>
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>
      <br>
      <mat-form-field appearance="fill">
        <mat-label>Selecciona un proveedor</mat-label>
        <mat-select  (selectionChange)="onProviderSelectChange($event.value)" formControlName="providerId">
          <mat-option *ngFor="let provider of providers; let i = index" [value]="provider.proveedorId" >{{provider.nombre}}</mat-option>
        </mat-select>
      </mat-form-field>
      <div>
        <button mat-button matStepperNext>Next</button>
      </div>
  </mat-step>
  <mat-step>
    <ng-template matStepLabel>Productos</ng-template>
      <mat-form-field appearance="fill">
        <mat-label>Productos</mat-label>
        <mat-select  (selectionChange)="onProductSelectChange($event.value)">
          <mat-option *ngFor="let product of products; let i = index" [value]="product.insumoId" >{{product.nombre}}</mat-option>
        </mat-select>
      </mat-form-field>
      <div *ngIf="selectedProduct?.nombre">
        <mat-card >
          <mat-card-title>
            {{selectedProduct?.nombre}}
          </mat-card-title>
          <mat-card-subtitle>
            {{selectedProduct?.descripcion}}
          </mat-card-subtitle>
          <mat-card-content>
            <b>Precio: </b> $ {{selectedProduct?.precio}}
            <br>
            <mat-form-field>
              <mat-label>Cantidad</mat-label>
              <input type="number" matInput formControlName="quantity">
            </mat-form-field>
            <div>
              <b>Subtotal: </b> ${{(selectedProduct?.precio || 0) * orderForm.value.quantity}}
            </div>
          </mat-card-content>
          <mat-card-actions>
            <button mat-button>Limpiar</button>
            <button mat-button (click)="onAddProductClicked()">Agregar</button>
          </mat-card-actions>
        </mat-card>
      </div>
      <div>
        <app-order-item *ngFor="let item of orderItems; let i = index;"
          [item]="item"
        ></app-order-item>
      </div>
      <div>
        <button mat-button matStepperPrevious>Back</button>
        <button mat-button matStepperNext>Next</button>
      </div>
  </mat-step>
  <mat-step *ngIf="selectedProvider">
    <ng-template matStepLabel>Resumen</ng-template>
    <b>Proveedor: </b> {{selectedProvider?.nombre}} <br>
    <b>Costo de transporte: </b> $ {{transportCost}} <br>
    <b>Fecha de entrega: </b> {{orderForm.value.receptionDate | date}} <br>
    <b> Total: </b> {{getTotalOrder() | currency:'USD'}} 
    <div>
      <app-order-item *ngFor="let item of orderItems; let i = index;"
        [item]="item"
      ></app-order-item>
    </div>
    <div>
      <button type="button" mat-button (click)="onSubmit()" >Enviar</button>
    </div>
  </mat-step>
  </form>
</mat-stepper>

